<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__lock__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_lock_t</compoundname>
    <includes local="no">wiced_data_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__lock__t_1a4faede9d7593d4ff1aadf4c325b48f36" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* wiced_bt_lock_t::p_lock_context</definition>
        <argsstring />
        <name>p_lock_context</name>
        <briefdescription>
<para>lock context pointer </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="68" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="68" />
      </memberdef>
      <memberdef id="structwiced__bt__lock__t_1ad68fc5e1662278d258ac6da908d8a0b5" kind="variable" mutable="no" prot="public" static="no">
        <type>void(*</type>
        <definition>void(* wiced_bt_lock_t::pf_lock_func) (void *p_lock_context)</definition>
        <argsstring>)(void *p_lock_context)</argsstring>
        <name>pf_lock_func</name>
        <briefdescription>
<para>Lock function pointer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="69" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="69" />
      </memberdef>
      <memberdef id="structwiced__bt__lock__t_1adf2acaaee99a81184c536a934eda5737" kind="variable" mutable="no" prot="public" static="no">
        <type>void(*</type>
        <definition>void(* wiced_bt_lock_t::pf_unlock_func) (void *p_lock_context)</definition>
        <argsstring>)(void *p_lock_context)</argsstring>
        <name>pf_unlock_func</name>
        <briefdescription>
<para>Unlock function pointer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="70" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="70" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Function prototypes to lock and unlock (typically using a mutex). </para>
    </briefdescription>
    <detaileddescription>
<para>The context pointer may be NULL, depending on implementation. </para>
    </detaileddescription>
    <location bodyend="71" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" bodystart="67" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_data_types.h" line="67" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__lock__t_1a4faede9d7593d4ff1aadf4c325b48f36" virt="non-virtual"><scope>wiced_bt_lock_t</scope><name>p_lock_context</name></member>
      <member prot="public" refid="structwiced__bt__lock__t_1ad68fc5e1662278d258ac6da908d8a0b5" virt="non-virtual"><scope>wiced_bt_lock_t</scope><name>pf_lock_func</name></member>
      <member prot="public" refid="structwiced__bt__lock__t_1adf2acaaee99a81184c536a934eda5737" virt="non-virtual"><scope>wiced_bt_lock_t</scope><name>pf_unlock_func</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>